<!-- <p-dialog
  header="แก้ไขข้อมูล"
  [(visible)]="display"
  [modal]="true"
  [style]="{ width: '400px' }"
  [baseZIndex]="0"
  position="top"
  (onHide)="closeDialog()"
>
  <form [formGroup]="editForm" (ngSubmit)="onSubmit()">
    <label class="form-label fw-bold">รหัสประจำตัว</label>
    <input
      type="text"
      class="form-control"
      [defaultValue]="user.id"
      formControlName="id"
      readonly
    />

    <label class="form-label fw-bold mt-3">ชื่อ-นามสกุล</label>
    <input
      type="text"
      class="form-control"
      [defaultValue]="user.fullname"
      [value]="user.fullname"
      formControlName="fullname"
      [ngClass]="{ 'is-invalid': submitted && editf['fullname'].errors }"
    />
    <div *ngIf="submitted && editf['fullname'].errors" class="invalid-feedback">
      <p *ngIf="editf['fullname'].errors['required']">กรุณากรอกชื่อ-นามสกุล</p>
      <p *ngIf="editf['fullname'].errors['pattern']">
        กรอกได้เฉพาะตัวอักษรเท่านั้น
      </p>
    </div>

    <label class="form-label fw-bold mt-3">เลือกเพศ</label>
    <select class="form-select" [value]="user.gender" formControlName="gender">
      <option selected disabled value="กรุณาเลือกเพศ">กรุณาเลือกเพศ</option>
      <option *ngFor="let g of gender" [value]="g.id">{{ g.name }}</option>
    </select>

    <label class="form-label fw-bold mt-3">วัน/เดือน/ปีเกิด</label>
    <mat-form-field *ngIf="user">
      <input
        matInput
        [matDatepicker]="picker"
        placeholder="Choose a date"
        style="width: 100%"
        [defaultValue]="user.birthday | date: 'dd/MM/YYYY'"
        formControlName="birthday"
      />
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>

    <label class="form-label fw-bold m-0 mb-2 mt-2">สถานะ</label>
    <div class="d-flex align-items-center">
      <input
        class="form-check-input me-1"
        type="radio"
        name="status"
        value="โสด"
        [defaultValue]="user.status"
        formControlName="status"
      />
      <label class="form-check-label mt-1" for="inlineRadio1">โสด</label>
      <input
        class="form-check-input me-1 ms-3"
        type="radio"
        name="status"
        value="มีแฟนแล้ว"
        [defaultValue]="user.status"
        formControlName="status"
      />
      <label class="form-check-label mt-1" for="inlineRadio1">มีแฟนแล้ว</label>
      <input
        class="form-check-input me-1 ms-3"
        type="radio"
        name="status"
        value="แต่งงานแล้ว"
        [defaultValue]="user.status"
        formControlName="status"
      />
      <label class="form-check-label mt-1" for="inlineRadio1"
        >แต่งงานแล้ว</label
      >
    </div>

    <div class="d-flex justify-content-between mt-4">
      <button type="submit" class="btn btn-success">แก้ไขข้อมูล</button>
      <button type="button" class="btn btn-danger" (click)="closeDialog()">
        ยกเลิก
      </button>
    </div>
  </form>
</p-dialog> -->
<h2 mat-dialog-title>แก้ไขข้อมูล</h2>
<mat-dialog-content class="mat-typography">
  <app-add-edit-form (response)="onSubmit($event)" [id]="id" type="editUser"></app-add-edit-form>
</mat-dialog-content>